#!/bin/bash

in='';

for c in certificados/*.crt; do 
    sha256sum -c $c.sha256sum || exit -1;
    in="$in -certfile $c"; 
done; 

openssl crl2pkcs7 -nocrl $in -out cadeia.p7b; 
openssl pkcs7 -print_certs -in cadeia.p7b -out cadeia.pem; 

sha256sum cadeia.pem > cadeia.pem.sha256sum;
rm -f cadeia.p7b;
exit 0
